package cn.stylefeng.guns.zjxl.service;

import cn.stylefeng.guns.zjxl.dao.ZjxlPartnerDao;
import cn.stylefeng.guns.zjxl.model.ZjxlBanner;
import cn.stylefeng.guns.zjxl.model.ZjxlPartner;
import cn.stylefeng.guns.zjxlUtil.BaseService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.BeanPropertyRowMapper;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/***
 * @ClassName: ZjxlPartnerService
 * @Description:
 * @Auther: shi kejing
 * @Date: 2020/11/3 14:58
 */
@Component
@Transactional(rollbackFor = Exception.class)
public class ZjxlPartnerService extends BaseService {

    @Autowired
    private ZjxlPartnerDao partnerDao;

    @Autowired
    private JdbcTemplate jdbcTemplate;

    public List<ZjxlPartner> findPartenrById(String id, String name, Integer page, Integer pagesize){
        String sql = "select * from zjxl_partner where 1=1";
        if (StringUtils.isNotEmpty(id)){
            sql += " and partner_id = '"+id+"' ";
        }
        if (StringUtils.isNotEmpty(name)){
            sql += " and partner_name like '%"+name+"%'";
        }
        sql += " order by partner_is_line desc,partner_sort asc,partner_create_time desc limit "+page+" , "+pagesize+"";
        List<ZjxlPartner> partnerList = jdbcTemplate.query(sql, new BeanPropertyRowMapper<>(ZjxlPartner.class));
        return partnerList;
    }

    public List<ZjxlPartner> findPartenrAll(){
        String sql = "select * from zjxl_partner where partner_is_line = 1 order by partner_sort asc,partner_create_time desc ";
        List<ZjxlPartner> partnerList = jdbcTemplate.query(sql, new BeanPropertyRowMapper<>(ZjxlPartner.class));
        return partnerList;
    }

    public int allCount(){
        String sql = "select count(*) from zjxl_partner ";
        Integer allCount = jdbcTemplate.queryForObject(sql, Integer.class);;
        return allCount;
    }

    public String addPartenr(ZjxlPartner partner){
        partner.setPartnerId(getCode());
        ZjxlPartner p = partnerDao.save(partner);
        return p.getPartnerId();
    }

    public int updatePartenr(ZjxlPartner partner){
        String sql = "update zjxl_partner SET partner_id = '"+partner.getPartnerId()+"'";
        if (StringUtils.isNotEmpty(partner.getPartnerName())){
            sql += " ,  partner_name = '"+partner.getPartnerName()+"' ";
        }
        if (StringUtils.isNotEmpty(partner.getPartnerImg())){
            sql += " ,  partner_img = '"+partner.getPartnerImg()+"' ";
        }
        if (partner.getPartnerSort() != null){
            sql += " ,  partner_sort = "+partner.getPartnerSort()+" ";
        }
        if (partner.getPartnerIsLine() != null){
            sql += " ,  partner_is_line = "+partner.getPartnerIsLine()+" ";
        }
        sql += " where partner_id = '"+partner.getPartnerId()+"' ";
        int update = jdbcTemplate.update(sql);
        return update;
    }

    public List<ZjxlPartner> findAll(){
        String sql = "select * from zjxl_partner where partner_is_line = 1";
        List<ZjxlPartner> list = jdbcTemplate.query(sql,new BeanPropertyRowMapper<>(ZjxlPartner.class));
        return list;
    }

    public int updatePartner(String id, Integer isLine){
        partnerDao.updatePartner(id,isLine);
        return 1;
    }

    public int deletePartner(String id){
        partnerDao.deleteById(id);
        return 1;
    }
}
